net.minecraftforge.common

## Class AchievementPage

- java.lang.Object
- - net.minecraftforge.common.AchievementPage

-     public class AchievementPage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AchievementPage(java.lang.String name, Achievement... achievements)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AchievementPage` | `getAchievementPage(int index)` Will return an achievement page by its index on the list.
    `static AchievementPage` | `getAchievementPage(java.lang.String name)` Will return an achievement page by its name.
    `static java.util.Set<AchievementPage>` | `getAchievementPages()` Will return the list of achievement pages.
    `java.util.List<Achievement>` | `getAchievements()`
    `java.lang.String` | `getName()`
    `static java.lang.String` | `getTitle(int index)`
    `static boolean` | `isAchievementInPages(Achievement achievement)` Will return whether an achievement is in any page or not.
    `static void` | `registerAchievementPage(AchievementPage page)` Registers an achievement page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AchievementPage

          public AchievementPage(java.lang.String name,
                         Achievement... achievements)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getAchievements

          public java.util.List<Achievement> getAchievements()

    - #### registerAchievementPage

          public static void registerAchievementPage(AchievementPage page)

      Registers an achievement page.
      Parameters:
        `page` - The page.

    - #### getAchievementPage

          public static AchievementPage getAchievementPage(int index)

      Will return an achievement page by its index on the list.
      Parameters:
        `index` - The page's index.
      Returns:
        the achievement page corresponding to the index or null if invalid index

    - #### getAchievementPage

          public static AchievementPage getAchievementPage(java.lang.String name)

      Will return an achievement page by its name.
      Parameters:
        `name` - The page's name.
      Returns:
        the achievement page with the given name or null if no such page

    - #### getAchievementPages

          public static java.util.Set<AchievementPage> getAchievementPages()

      Will return the list of achievement pages.
      Returns:
        the list's size

    - #### isAchievementInPages

          public static boolean isAchievementInPages(Achievement achievement)

      Will return whether an achievement is in any page or not.
      Parameters:
        `achievement` - The achievement.

    - #### getTitle

          public static java.lang.String getTitle(int index)